unit Unit1;

interface

uses
  Windows,
  Messages,
  SysUtils,
  Classes,
  Graphics,
  Controls,
  Forms,
  Dialogs,
  StdCtrls,
  Spin,
  SnowFall;

type
  TForm1 = class(TForm)
    SnowFall1: TSnowFall;
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    SpinEdit1: TSpinEdit;
    Label1: TLabel;
    SpinEdit2: TSpinEdit;
    Label2: TLabel;
    Button1: TButton;
    Button2: TButton;
    procedure RadioButton1Click(Sender: TObject);
    procedure RadioButton2Click(Sender: TObject);
    procedure SpinEdit1Change(Sender: TObject);
    procedure SpinEdit2Change(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.RadioButton1Click(Sender: TObject);
begin
     // Die Flocken fallen von links nach rechts
     Snowfall1.Direction := diRight;
end;

procedure TForm1.RadioButton2Click(Sender: TObject);
begin
     // Die Flocken fallen von rechts nach links
     Snowfall1.Direction := diLeft;
end;

procedure TForm1.SpinEdit1Change(Sender: TObject);
begin
     // ndert die Intensitt des Seitenwindes
     Snowfall1.SideSpeed := SpinEdit1.Value;
end;

procedure TForm1.SpinEdit2Change(Sender: TObject);
begin
     // Die Anzahl der Flocken ndern
     Snowfall1.SnowflakesNumber := SpinEdit2.Value;
     // Lschen, da sonst Flocken liegen bleiben
     Snowfall1.ResetSnow;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
     // neu initialisieren
     Snowfall1.ResetSnow;
end;

// weitere Infos:
// Unter SnowPict kann man ein Bild angeben, welches mit angezeigt wird.
// (wenn der Schnee in das Bild fallen soll muss der Hintergrund
//  dieses Bildes absolut schwarz - $00000000 - sein!)
// Mit Center, SnowPictLeft, SnowPictTop kann man die Position des
// angegebenen Bildes ndern.
// Speed gibt die Aktualisierungs-Geschwindigkeit in Millisekunden an.
// Auf langsameren Rechnern (<200MHz) kann man zw. 5 und 50 ms kaum
// Unterschiede feststellen.

procedure TForm1.Button2Click(Sender: TObject);
begin
     Halt(0);
end;

end.
